Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata.expression
Interface IExpressionParser

    public interface IExpressionParser

A parser that produces an expression tree based on a string representation. An implementation will use the `IExpressionFactory` to create the actual expressions

Since:
  2.0

Method Summary
`IExpression` `parse(String exprString)` Create a new expression.
`IExpression` `parseQuery(String exprString)` Create an arbitrary expression.

Method Detail

### parse

    IExpression parse(String exprString)

  Create a new expression. The expression will have access to the global variable 'this' and to the context parameters.

  Parameters:
    `exprString` - The string representing the boolean expression.
  Returns:
    The resulting expression tree.
  Throws:
    `ExpressionParseException`

### parseQuery

    IExpression parseQuery(String exprString)

  Create an arbitrary expression. The expression will have access to the global variable 'everything' and to the context parameters.

  Parameters:
    `exprString` - The string representing the boolean expression.
  Returns:
    The resulting expression tree.
  Throws:
    `ExpressionParseException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.